Subject: Re: [PATCH net-next-2.6] bonding: propogate vlan_features to bonding master

From: Or Gerlitz <[email-masked]>
Date: Thu, 23 Jul 2009 10:24:25 +0300

Eric Dumazet wrote:
> Jay Vosburgh a écrit :
>> Propogate the vlan_features of the slave devices to the bonding master device, using the same logic as for regular features.
> Seems pretty cool, but I could not test it on my dev machine, since tg3 and bnx2 drivers dont advertize yet vlan_features
The bnx2x maintainer posted yesterday a patch that does so, I assume a 
similar patch could work for at least one of tg3 or bnx2. I copied both 
maintainers on this email, in  the hope they can come up with a patch.

Or.